CNFSSTAT(8)

NAME
cnfsstat - Show usage of CNFS buffers

SYNOPSIS
cnfsstat [-ahpPsv] [-c class] [-i seconds] [-l [seconds]] [-m buffer]

DESCRIPTION
cnfsstat reads pathetc/cycbuff.conf and pathetc/storage.conf to determine which CNFS buffers are available. It then reads the specified cyclic buffers and shows their usage status. cnfsstat can be invoked from rc.news if docnfsstat is set to true in inn.conf, and the result is written to syslog(3).

OPTIONS

-a  Besides its usual output, cnfsstat prints the age of the oldest article in the cycbuff. You may also want to use the -v flag to see extended consistency checks.

-c class
    Only information for the specified class is printed.

-h  Print usage information and exit.

-i seconds
    With this option, cnfsstat has an initial sleep of seconds seconds at startup. This is useful when cnfsstat is started at the same time as INN, so that it can wait a little before beginning performing its checks.

-l [seconds]
    With this option, cnfsstat prints a status snapshot every seconds seconds, and only exits if an error occurs. When unspecified, the default interval is 600 seconds.

    At each iteration, cnfsstat checks whether the cycbuff.conf and storage.conf files have been modified, and loads the new configuration if needed.

-m buffer
    Print information about the specified buffer in a format suitable for MRTG.

-p  Print an MRTG config file.

-P  Write PID into pathrun/cnfsstat.pid.

-s  Write output to syslog(3) instead of standard output.

-v  Write additional information, especially about consistency checks for article storage and the history file.

HISTORY
Written by Katsuhiro Kondou <kondou@nec.co.jp> for InterNetNews. Converted to POD by Julien Elie.

SEE ALSO
cycbuff.conf(5), history(5), inn.conf(5), rc.news(8), storage.conf(5).